//*****************************************************************
// 
//  JAVA Source for com.idautomation.databar; 2010
//  
//	 Copyright IDAutomation.com, Inc. All rights reserved.
//	Redistribution and use of this code in source and/or binary 
//	forms, with or without modification, are permitted provided 
//	that: (1) all copies of the source code retain the above 
//	unmodified copyright notice and this entire unmodified 
//	section of text, (2) You or Your organization owns a valid 
//	Developer License to this product from IDAutomation.com 
//	and, (3) when any portion of this code is bundled in any 
//	form with an application, a valid notice must be provided 
//	within the user documentation, start-up screen or in the 
//	help-about section of the application that specifies 
//	IDAutomation.com as the provider of the Software bundled 
//	with the application.
//*****************************************************************

package com.idautomation.databar;

class UPCHRTextPositions 
{
    /// Position of first character before guard bars
    private float iFirstCharacterStart;
    /// Starting Postion of first set of characters inside guard bars
    private float iSecondCharacterStart;
    /// Starting Postion of second set of characters after guard bars
    private float iThirdCharacterStart;
    /// Starting Position of check character after last guard bar
    private float iFourthCharacterStart;
    /// Starting Position of supplement 
    private float iSupplementStart;

    /// Ending point for drawing rectangle
    private float iSecondCharacterEnd;

    /// Ending point for drawing rectangle
    private float iThirdCharacterEnd;

    protected float getSecondCharacterEnd()
    {
        return iSecondCharacterEnd;
    }
    protected void setSecondCharacterEnd(float value)
    {
        iSecondCharacterEnd = value;
    }

    protected float getThirdCharacterEnd()
    {
        return iThirdCharacterEnd;
    }
    protected void setThirdCharacterEnd(float value)
    {
        iThirdCharacterEnd = value;
    }

    protected float getFirstCharacterStart()
    {
        return iFirstCharacterStart;
    }
    protected void setFirstCharacterStart(float value)
    {
        iFirstCharacterStart = value;
    }


    protected float getSecondCharacterStart()
    {
        return iSecondCharacterStart;
    }
    protected void setSecondCharacterStart(float value)
    {
        iSecondCharacterStart = value;
    }

    protected float getThirdCharacterStart()
    {
        return iThirdCharacterStart;
    }
    protected void setThirdCharacterStart(float value)
    {
        iThirdCharacterStart = value;
    }

    protected float getFourthCharacterStart()
    {
        return iFourthCharacterStart;
    }
    protected void setFourthCharacterStart(float value) 
    {
        iFourthCharacterStart = value;
    }

    protected float getSupplementStart()
    {
        return iSupplementStart;
    }
    protected void setSupplementStart(float value) 
    {
        iSupplementStart = value;
    }

    protected void Clear()
    {
        iFirstCharacterStart = 0F;
        iSecondCharacterStart = 0F;
        iThirdCharacterStart = 0F;
        iFourthCharacterStart = 0F;
        iSupplementStart = 0F;
    }
}
